## chemical-structures 2.2.dfsg.0

=== CMakeLists.txt ===
project(chemical-structures)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

cmake_minimum_required(VERSION 2.4.0)

#################################################################
#                    Define global variables                    #
#################################################################
set(VERSION 2.2)
set(AVAILABLE_LANG "en" "es" "de" "fr" "nl" "tw")
set(SHARE_HOME ${CMAKE_INSTALL_PREFIX}/share/chemical-structures)

#################################################################
#                        Python Settings                        #
#################################################################
find_package(PythonInterp REQUIRED)
set(MAKEINDEXFILES ${CMAKE_SOURCE_DIR}/tools/make_index_files.py)
set(MAKEXHTMLFILES ${CMAKE_SOURCE_DIR}/tools/make_xhtml_files.py)

#################################################################
#                      Open Babel Settings                      #
#################################################################
find_package(OpenBabel2Exe)

#################################################################
#                     Define global target                      #
#################################################################
add_custom_target(clean_xhtml)
add_custom_target(clean_structure)

#################################################################
#                      Add subdirectories                       #
#################################################################
add_subdirectory(src)

=== src/CMakeLists.txt ===
message(STATUS "Generating src Makefile")

set(level "0")
add_custom_target(index ALL)
set(index_files "")
set(main_index_files "")

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                    Main index file handle                     #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(main_index_files ${main_index_files} "${CMAKE_CURRENT_BINARY_DIR}/name_index_${lang}.html")
  set(main_index_files ${main_index_files} "${CMAKE_CURRENT_BINARY_DIR}/formula_index_${lang}.html")
endforeach(lang)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET index
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEINDEXFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_custom_command(TARGET clean_xhtml
                   COMMAND rm *.html
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)
#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME})
install(FILES ${main_index_files} DESTINATION ${SHARE_HOME})

#################################################################
#                       Add subdirectories                      #
#################################################################
add_subdirectory(acid_anhydrides)
add_subdirectory(alcohols)
add_subdirectory(aldehydes)
add_subdirectory(alkanes)
add_subdirectory(alkenes)
add_subdirectory(alkynes)
add_subdirectory(amides)
add_subdirectory(amines)
add_subdirectory(amino_acids)
add_subdirectory(aromatics)
add_subdirectory(carbamides)
add_subdirectory(carbohydrates)
add_subdirectory(carboxylic_acids)
add_subdirectory(drugs)
add_subdirectory(esters)
add_subdirectory(ethers)
add_subdirectory(fatty_acids)
add_subdirectory(haloalkanes)
add_subdirectory(heteroaromatics)
add_subdirectory(htdocs)
add_subdirectory(images)
add_subdirectory(jmol)
add_subdirectory(ketones)
add_subdirectory(macrocycles)
add_subdirectory(natural_products)
add_subdirectory(nitriles)
add_subdirectory(nitroalkanes)
add_subdirectory(nucleobases)
add_subdirectory(peptides)
add_subdirectory(polycyclic_alkanes)
add_subdirectory(polycyclic_aromatics)
add_subdirectory(styles)
add_subdirectory(sulfones)
add_subdirectory(sulfoxides)
add_subdirectory(thioethers)
add_subdirectory(thiols)
add_subdirectory(water)

=== src/acid_anhydrides/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "acid_anhydrides")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/alcohols/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "alcohols")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/aldehydes/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "aldehydes")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/alkanes/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "alkanes")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/alkenes/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "alkenes")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/alkynes/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "alkynes")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/amides/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "amides")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/amines/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "amines")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/amino_acids/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "amino_acids")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== src/aromatics/CMakeLists.txt ===
#################################################################
#                   Local variables settings                    #
#################################################################
set(CHEM_GROUP "aromatics")

message(STATUS "Generating ${CHEM_GROUP} Makefile")

set(level "1")
set(index_files "")
set(chemical_structure_files "")
set(chemical_data_files "")

add_custom_target(${CHEM_GROUP} ALL)

#################################################################
#                       Index file handle                       #
#################################################################
foreach(lang ${AVAILABLE_LANG})
  set(index_files ${index_files} "${CMAKE_CURRENT_BINARY_DIR}/index_${lang}.html")
endforeach(lang)

#################################################################
#                     Structure file handle                     #
#################################################################
file(GLOB cml_SRCS *.cml)
set(chemical_structure_files "")

foreach(cml_SRC_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_SRC_FILE} NAME_WE)
  set(cml_FILE "${cml_WE}.cml")
  # add custom command to build mol files
  add_custom_command(TARGET ${CHEM_GROUP}
                     COMMAND cp ${cml_SRC_FILE} ${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_FILE}")

  if(OPENBABEL2_EXECUTABLE_FOUND)
    # Generate mol files
    set(mol_FILE "${cml_WE}.mol")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -omol ${mol_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${mol_FILE}")
    # Generate smi files
    set(smi_FILE "${cml_WE}.smi")
    add_custom_command(TARGET ${CHEM_GROUP}
                       COMMAND ${OPENBABEL2_EXECUTABLE} -icml ${cml_FILE} -osmi ${smi_FILE}
                       WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )
    set(chemical_structure_files ${chemical_structure_files} "${CMAKE_CURRENT_BINARY_DIR}/${smi_FILE}")
  endif(OPENBABEL2_EXECUTABLE_FOUND)

endforeach(cml_SRC_FILE)

#################################################################
#                   Chemical datafile handle                    #
#################################################################
foreach(cml_FILE ${cml_SRCS})
  get_filename_component(cml_WE ${cml_FILE} NAME_WE)
  foreach(lang ${AVAILABLE_LANG})
      set(chemical_data_files ${chemical_data_files} "${CMAKE_CURRENT_BINARY_DIR}/${cml_WE}_${lang}.html")
  endforeach(lang)
endforeach(cml_FILE)

#################################################################
#                       Build XHTML files                       #
#################################################################
add_custom_command(TARGET ${CHEM_GROUP}
                   COMMAND ${PYTHON_EXECUTABLE} ${MAKEXHTMLFILES} ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/index.xml ${level} ${AVAILABLE_LANG}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

#################################################################
#                         Install files                         #
#################################################################
install(FILES ${index_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_structure_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})
install(FILES ${chemical_data_files} DESTINATION ${SHARE_HOME}/${CHEM_GROUP})

=== debian/changelog ===
chemical-structures (2.2.dfsg.0-18) unstable; urgency=medium

  * added Breaks + Replace stances. Closes: #976656; many thanks to
    Andreas Beckmann

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Dec 2020 16:44:50 +0100

chemical-structures (2.2.dfsg.0-17) unstable; urgency=medium

  * new upload in source format, since the NEW queue has been purged

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Dec 2020 16:09:11 +0100

chemical-structures (2.2.dfsg.0-16) unstable; urgency=medium

  * split the packages in two parts: chemical-structures and
    chemical-structures-data. Closes: #901916
  * added the package chemical-structures-data and its description,
    added the dependency chemical-structures -> chemical-structures-data
    in d/control
  * created files d/chemical-structures-data.install and
    d/chemical-structures.install
  * modified d/rules to take in account the changes, and move a lot
    of files from chemical-structures-data's subdirectory to
    chemical-structures.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Dec 2020 16:32:46 +0100

chemical-structures (2.2.dfsg.0-15) unstable; urgency=medium

  * fixed a lot of details which were idioms of python2 to comply with
    python3

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Nov 2019 14:47:08 +0100

chemical-structures (2.2.dfsg.0-14) unstable; urgency=medium

  * changed dependencies on python by dependencies on python3.
    Closes: #936295
  * ported convert.cgi to python3
  * bumped standards-version to 4.3.0, dh-level to 11
  * fixed the patch removeMolTimestamp.patch, which should enable
    reproducible builds.
  * added a dependency on sensible-utils
  * added a file index.html

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 31 Aug 2019 19:07:56 +0200

chemical-structures (2.2.dfsg.0-13) unstable; urgency=medium

  * Included Adriano Rafael Gomes' translation. Closes: #762474
  * added Vcs stuff in debian/control
  * added a script to remove timestamps from .mol files, which should
    make the build reproducible.
  * upgraded Standards-Version: 4.1.4, dh level: 10
  * added a short header to debian patches, so lintian is happier

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 03 Jun 2018 19:25:29 +0200

chemical-structures (2.2.dfsg.0-12) unstable; urgency=medium

  * Included Frans Spiesschaert's translation. Closes: #766405
  * updated Standards-Version to 3.9.6
  * fixed apache.conf to work with apache 2.4
  * hardcoded a copy of sourceforge's logo to save user's privacy
  * modified postinst and postrm scripts

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Oct 2014 12:33:08 +0200

chemical-structures (2.2.dfsg.0-11) unstable; urgency=low

  * updated the file d/po/ja.po. Closes: #717706

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jul 2013 21:53:55 +0200

chemical-structures (2.2.dfsg.0-10) unstable; urgency=low

  * modified some dependencies, relaxed them down to recommendations
    Closes:#669749
  * improved slightly the postinst script

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Jun 2013 22:37:41 +0200

chemical-structures (2.2.dfsg.0-9) unstable; urgency=low

  * Changed my DEBEMAIL
  * included Nobuhiro Iwamatsu's last version of d/po/ja.po file
    (Closes: #695079)
  * Updated compat-level and Standards-Version
  * Modified the management of the configuration file for Apache2
    (Closes: #669749)
  * modified CMakeLists.txt files to build .xyz files for molecules

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 17 May 2013 21:50:50 +0200

chemical-structures (2.2.dfsg.0-8) unstable; urgency=low

  * modified the postrm scripts to allow the purge even if appache2 was
    previously purged. Closes: #660586

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 22 Feb 2012 14:33:54 +0000

chemical-structures (2.2.dfsg.0-7) unstable; urgency=low

  * updated the Spanish po file, thanks to Javier Fernandez-Sanguino Pen~a
    Closes: #656401

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 21 Jan 2012 15:19:54 +0100

chemical-structures (2.2.dfsg.0-6) unstable; urgency=low

  * merged Joe's file da.po. Closes: #650949

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 04 Dec 2011 15:28:34 +0100

chemical-structures (2.2.dfsg.0-5) unstable; urgency=low

  * updated cs.po, thanks to Michal Simunek. Closes: #628212

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Jun 2011 15:55:07 +0200

chemical-structures (2.2.dfsg.0-4) unstable; urgency=low

  * updated sv.po, thanks to Martin Bagge. Closes: #628930

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 03 Jun 2011 00:02:15 +0200

chemical-structures (2.2.dfsg.0-3) unstable; urgency=low

  * updated ru.po, thanks to Yuri Kozlov. Closes: #625933
  * updated Standards-Version to 3.9.2
  * fixed a spelling error in debian/Redme.debian and an article in
    description synopsis

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 May 2011 13:47:34 +0200

chemical-structures (2.2.dfsg.0-2) unstable; urgency=low

  * updated the files pt.po, thanks to Américo Monteiro, fr.po, 
    thanks to Christian Perrier, de.po, thanks to Martin Eberhard Schauer,
    Closes: #620085, #620169, #621731

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 08 Apr 2011 16:48:26 +0200

chemical-structures (2.2.dfsg.0-1) unstable; urgency=low

  * fixed the purge script. Closes: #619570
  * upgraded to the newer upstream version.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 26 Mar 2011 09:47:25 +0100

chemical-structures (2.1.dfsg.1-10) unstable; urgency=low

  * integrated Ricardo Fraile's file. Closes: #603671
  * integrated Nobuhiro Iwamatsu's file. Closes: #603886

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 18 Nov 2010 19:18:52 +0100

chemical-structures (2.1.dfsg.1-9) unstable; urgency=low

  * added the Itialian translation for debconf, thanks to Vincenzo Campanella
  * updated the Portuguese translation for debconf, thanks to Américo Monteiro
    Closes: #602761 


=== debian/control ===
Source: chemical-structures
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11), python3, po-debconf, cmake, openbabel
Build-Depends-Indep: xsltproc, docbook-xsl, docbook-xml
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/chemical-structures
Vcs-Git: https://salsa.debian.org/science-team/chemical-structures.git

Package: chemical-structures
Architecture: all
Depends: ${misc:Depends},
 debconf,
 python3,
 openbabel,
 sensible-utils,
 chemical-structures-data
Breaks: chemical-structures (<< 2.2.dfsg.0-17)
Replaces: chemical-structures (<< 2.2.dfsg.0-17)
Recommends: chemical-mime-data, apache2| httpd, iceweasel|iceape
Suggests: jmol, jmol-applet
Description: web service providing molecular structures in open formats
 This web service allows one to browse a rich set of molecular
 structures provided by the package chemical-structures-data, and
 eventually have them translated to other open formats, thanks to
 openbabel.

Package: chemical-structures-data
Architecture: all
Depends: ${misc:Depends}
Breaks: chemical-structures (<< 2.2.dfsg.0-17)
Description: set of molecular structures in open formats
 hundreds of molecular structures, in the following classes: alcohols,
 aldehydes, alkanes, alkenes, amides, amines, amino_acids, aromatics,
 carboxylic_acids, esters, ethers, fatty_acids, haloalkanes, ketones,
 nitriles,nucleobases, water.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/tmp
DB2MAN  = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP      = xsltproc --nonet

%:
	dh  $@

override_dh_auto_clean:
	find . -name *.pyc | xargs rm -f
	rm -rf build
	dh_auto_clean

debian/chemstruc.1: debian/manpage.xml
	cd debian; $(XP) $(DB2MAN) manpage.xml

override_dh_auto_configure:
	mkdir -p build
	cd build; cmake -DCMAKE_INSTALL_PREFIX=$(DESTDIR)/usr ..

override_dh_auto_build: debian/chemstruc.1
	## do nothing since install would run the build again.
	## cd build; make

override_dh_auto_install:
	cd build; make install
	install -d $(DESTDIR)/usr/share/
	install -m 755 convert.cgi $(DESTDIR)/usr/share/chemical-structures
	install -m 644 index.html  $(DESTDIR)/usr/share/chemical-structures
	install -d $(DESTDIR)/usr/bin
	install -m 755 chemstruc   $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/etc/apache2/conf-available
	install -m 644 apache.conf $(DESTDIR)/etc/apache2/conf-available/chemical-structures.conf
	rm -f $(DESTDIR)/usr/share/chemical-structures/jmol/LICENSE.txt
	sh removeMolTimestamp $(DESTDIR)/usr/share/chemical-structures

override_dh_install:
	# take in account d/*.install files
	dh_install
	# create necessary subdirectories under /usr/share/chemical-structures
	# for the package chemical-structures.
	for d in $$(find debian/chemical-structures-data/usr/share/chemical-structures -maxdepth 1 -mindepth 1 -type d); do \
	  e=$$(echo $$d| sed 's/chemical-structures-data/chemical-structures/'); \
	  install -d $$e; \
	done
	# move every HTML file from chemical-structures-data to
	# chemical-structures.
	# first, from the molecules families' subdirectories:
	for f in $$(find debian/chemical-structures-data/usr/share/chemical-structures/*/*.html); do \
	  g=$$(echo $$f| sed 's/chemical-structures-data/chemical-structures/'); \
	  echo "$$(basename $$f): chemical-structures-data ==> chemical-structures"; \
	  mv $$f $$g; \
	done
	# then from the top directory, and including the gci script.
	for f in $$(find debian/chemical-structures-data/usr/share/chemical-structures -maxdepth 1 -type f); do \
	  g=$$(echo $$f| sed 's/chemical-structures-data/chemical-structures/'); \
	  mv $$f $$g; \
	done
